1MSG
ReferenceCampaigns API

Remove segment members

DELETE
/api/v1/campaigns/segments/{segmentId}/members

memberIds is a non-empty list of member ids from the member list. Other members stay.

Authorization

bearer
headerAuthorizationBearer <token>

Key issued in Settings → Developer → API key. Inbox methods need the Inbox scope. Campaigns methods need the Campaigns scope.

Path Parameters

segmentId*string

Segment id returned by create or list.

Request Body

application/json
  1. body
memberIds*array<string>

Member ids from the member list. Other members stay.

Response Body

application/json
  1. response
removed*number

How many members were deleted.

curl -X DELETE 'https://api.1msg.io/api/v1/campaigns/segments/string/members' \  -H 'Content-Type: application/json' \  -d '{  "memberIds": [    "mem_1"  ]}'
{  "removed": 2}